Figure - Bug #118506
O AFD O EVT30O O Monkeyl 10600 O [0 5290 00 Monkey [0 720 O O O O O 4+270 APKO
2023-06-0510:36 - CD TEST-0 0

Status: ASSIGNED Start date: 2023-06-05
Priority: Normal Due date:

Assignee: CDTPM-O OO % Done: 0%
Category: oo Estimated time: 0.00 hour
Target version:

Need_Info: -- Found Version: 10600 529001 OJ
Resolution: - Degrated: -

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

oooood

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes
--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10
--pct-anyevent 10 --ignore-crashes -v -v -v 4432000 2>/sdcard/error.txt 1>/sdcard/info.txt

gooooo
monkeyD O OO OODOOOODODO

History

#1 - 2023-06-05 10:41 - CD TEST-0O O O

ftp://cdiot@192.168.87.46/Pre_figure/Test Log/118506

#2 - 2023-06-05 10:44 - CD TEST-0 O O
- Category changed from SYSTEM to O O

#3 - 2023-06-05 11:47 - CD SYSTEM-0O O

1. 0 dumpO O O O kernel logd ADSP CrashC O O O O O

[277881.709717] type=1400 audit(1685818315.631:971552): avc: denied { kill } for comm="swapper/2" capability=5 scontext=u:r:kernel:s0 tcontext=u:r:kernel:s0
tclass=capability permissive=0

[277881.914762] Fatal error on adsp!

[277881.914853] adsp subsystem failure reason: DALInterruptController.c:388:Failed to register interrupt 16 in big image! Status: 30.

[277881.914900] subsys-restart: subsystem_restart_dev(): Restart sequence requested for adsp, restart_level = SYSTEM.

[277882.017039] Kernel panic - not syncing: subsys-restart: Resetting the SoC - adsp crashed.

2.0adspownner0 0 00O

3.0000
ftp://cdiot@192.168.87.46/Pre_figure/ReleaseBuild/Pre_figure turbox-c2130c-lal.1-gssi12-dev/user/20230529

#4 - 2023-06-05 18:19 - CD SYSTEM-U O
- Assignee changed from CD SYSTEM-[ O to CD TPM-0O O O
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118506
ftp://cdiot@192.168.87.46/Pre_figure/ReleaseBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/user/20230529

#5 - 2023-06-0522:01 - CD TPM-0 O O
- Assignee changed from CD TPM-O O O to CD BSPO O

oo

oooooo

#6 - 2023-06-13 15:03 - BSP -RD3_TSCD O 0

00 Ologd O O gcomO

00000000000000000cerasshD0000000adsp000000O0O0O0OOOADSPOOOCOOOCOOOOODOODODOODODDODODO

on the crash dump, the error comes from ADSP interrupt. issue will be checked by ADSP engineer further.

O000O00O00OADSPOOcrashD 00O O0ODOOOO

Call Stacks

File : core/systemdrivers/InterruptController/src/qurt/DALInterruptController.c

File Info:
/home/scm/jenkins/workspace/DailyBuild_for_IOT_6490/build-dir/Pre_figure_turbox-c2130c-lal.1-gssi12-dev-3688/BP-CODE/adsp_proc/core/systemdrivers/
InterruptController/src/qurt/DALInterruptController.c

-000]qurt_exception_raise_nonfatal()
-001|InterruptController_RegisterInterrupt()
-002|PdcGpio_Register()
-003|GPIOIntr_Registerlsr()
-004|GPIOInt_Registerlsr()
-005|pciedrv_gpio_register_isr()
-006|pciedrv_core_gateclkreq()
-007|pciedrv_core_|1ssto_handler()
-008|pciedrv_proc_l1ss_to_cmd()
-009|pciedrv_msg_proc()
-010|pcie_osal_thread_entry()
-011]_WorkLoopExecute()
-012|qurt_trampoline()
-013|qurt_trampoline()

----|lend of frame

gooboooooooooooooooooooooooooooboooon

#7 - 2023-06-14 20:36 - BSPO -RD3_TSCD [0 O
- File add_ADSP_size.patch added
- Assignee changed from CD BSPO O to BSP -RD3_TSCD 0O O
00000000000 OcrashD0O0O0O0OADSPOOOOOODOOOODOOOOOOOODOOOOODOO

Zhiping Pang
True 6/13/20233:14AM OOpcie0 0000000000 O0O0OOOADSPOOOOOOOOOOO
ooooooooooooooo

Zhiping Pang

True 6/14/2023 1:07 AM Please check KBA 210525013529.
Please change the {adsp}\config\8250.adsp\cust_config.xml
<heap_size name="heap_size" value ="0x180000" />
Please add at least 1 Mega bytes.

ooooooo0oooO0opoooOo0o0oo0o0oOoO00oOO0O0bOO00OOOpatch0D0O00O0OODOO0OOOO0OOOOOOOOODOOODOD
ooooooood
ooo0oooO0o0oooO0o0oooOo00ooOo0oOoO00OO00DbOO0O0OO0O0OVBOODOOODODOOO0DODO0OO0ODO0OO0ODOOO0O0OOO patch
gooooo

OO0OpatchOOOODOO

#8 - 2023-06-16 10:29 - BSPO -RD3_TSCD O O

O00eptch0 00000000000 OOOlgDOOOODOkenelD 00000 OIlog0 OO0 OpatchOgecomd O0O0O0O0O00O0O0O00O0O
000 patchd O O logd O O

patch(] add_ADSP_size-new.patch

LoGO OO DO O .txt

#9 - 2023-06-16 11:01 - BSPO -RD3_TSCD [0 O
- File add_ADSP_size-new.patch added
-File0 0O OO .txtadded

#10 - 2023-06-19 10:44 - BSPO -RD3_TSCD O O
- Assignee changed from BSPO -RD3_TSCD 0 O to CDBSP O O

hi pengd

J000000OO00OOoADSPOOOOOODOOOODOOODOd crashd
gOooOoADSPOODOOCOOOOO2MOD0COIMODOOpatchD0 OO O0D0OOCO0ODOOOOADSPOOO0DOCO0ODOOOODOOOODOOOOOOO
00000ooOodleg 0000000000000 0D0O00D0DO00DO0O00D0O0O0O000OOueipilcfg00000000D0OO0OOOOO0OO
oooooo

0 0 O patch0 O O add_ADSP_size-new.patchd OO0 02m0000000000000000000000ImO0OOOOOODOO
0000000uefipilcfgl 0 0 00000000000000000000000000000O

gooooooOOgeomdOO0OO0D0OOOO0ODOOODOOOOOOOO

ooo

#11 - 2023-06-21 22:04 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader
208534 general/slpi_proc Pre_figure_turbox-c2130c-lal.1-vendo | yepeng0322@thundersoft.com
r-dev

BSP:System: Increase the memory size of adspIncrease the memory size of adspTC-RID: 1201-01011061ssuelD: TS-R-DF-118506Change-1d:
16edacc5d2ff4347ef31b09980a00abb61cacedb8

#12 - 2023-06-21 22:04 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
208533 general/adsp_proc Pre_figure_turbox-c2130c-lal.1-vendo | yepeng0322@thundersoft.com
r-dev

BSP:System: Increase the memory size of adspIncrease the memory size of adspTC-RID: 1201-01011061ssuelD: TS-R-DF-118506Change-1d:
1179¢2b9563af52e9a2262¢786369a6d199ccbefe

#13 - 2023-06-21 22:04 - [oT scm

Gerrit Merge Information(]

1D Project Branch Uploader
208420 general/boot_images Pre_figure_turbox-c2130c-lal.1-vendo | yepeng0322@thundersoft.com
r-dev

BSP:System: Increase the memory size of adspIncrease the memory size of adspTC-RID: 1201-0101106lssuelD: TS-R-DF-118506Change-Id:
leb1b3d9986ac8d1257b0723c3c6aal4273d08ddd

#14 - 2023-06-21 22:04 - 10T scm

Gerrit Merge Informationd

1D Project Branch Uploader
208416 general/trustzone_images Pre_figure_turbox-c2130c-lal.1-vendo | yepeng0322@thundersoft.com
r-dev

BSP:System: Increase the memory size of adspIncrease the memory size of adspTC-RID: 1201-0101106lssuelD: TS-R-DF-118506Change-Id:
1d62fa0e626316543059c0ec6dfIac8ad064ee673

#15 - 2023-06-21 22:05 - loT scm

Gerrit Merge Information(]
1D Project Branch Uploader

208415 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | yepeng0322@thundersoft.com

m/proprietary r-dev

BSP:System: Increase the memory size of adspIncrease the memory size of adspTC-RID: 1201-01011061ssuelD: TS-R-DF-118506Change-1d:
112db72e94266162ced2fc1b62729fch9f1213ce

#16 - 2023-06-25 21:58 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
209689 general/LINUX/android/vendor/qco | Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com
m/proprietary r-release_sorp

BSP:System: Increase the memory size of adspIncrease the memory size of adspTC-RID: 1201-01011061ssuelD: TS-R-DF-118506Change-1d:
112db72e94266162ced2fc1b62729efch9f1213ce(cherry picked from commit 3ced994d5824d2444dd1042d6fcf5fc9417¢ch94d)

#17 - 2023-06-25 21:58 - [oT scm

Gerrit Merge Information(]

1D Project Branch Uploader

209690 general/trustzone_images Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com

r-release_sorp

BSP:System: Increase the memory size of adspIncrease the memory size of adspTC-RID: 1201-0101106lssuelD: TS-R-DF-118506Change-Id:
1d62fa0e6a6316543059c0ec6dfIac8ad064ee673(cherry picked from commit 0709b21168f20d9ebada2564619870c856bbac40)

#18 - 2023-06-25 21:59 - IoT scm

Gerrit Merge Informationd

1D Project Branch Uploader

209691 general/slpi_proc Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com

r-release_sorp

BSP:System: Increase the memory size of adspIncrease the memory size of adspTC-RID: 1201-0101106lssuelD: TS-R-DF-118506Change-Id:
16edacc5d2ff4347ef31b09980a00abb61cacedb8(cherry picked from commit 5273fd4ff83d73266fab8e41bc2220003a40e6ab)
#19 - 2023-06-25 22:00 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader

209692 general/adsp_proc Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com

r-release_sorp

BSP:System: Increase the memory size of adspIncrease the memory size of adspTC-RID: 1201-0101106lssuelD: TS-R-DF-118506Change-Id:
1179¢c2b9563af52e9a2262¢c786369a6d199cc6efe(cherry picked from commit cdaa33fhaf60a6002baa%a4333c1cf35616cf7d4)

#20 - 2023-06-25 22:00 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader

209693 general/boot_images Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com

r-release_sorp

BSP:System: Increase the memory size of adspIncrease the memory size of adspTC-RID: 1201-01011061ssuelD: TS-R-DF-118506Change-1d:

leb1b3d9986ac8d1257b0723c3c6aal4273d08ddd(cherry picked from commit 2c1d968820eabe5d1a0725alad3468be074a9dea)

#21 - 2023-06-27 15:54 - CDBSP O O
- Status changed from New to RESOLVED

#22 - 2023-07-19 16:17 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
215153 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | yepeng0322@thundersoft.com
r-dev

BSP:System: Reset the adsp service while dasp crashesReset the adsp service while dasp crashesTC-RID: 1201-01011061ssuelD: TS-R-DF-118506Change-Id:
1a3eb521f101ed40114ff09b8bfe02cfh93b0884c

#23 - 2023-07-19 16:17 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
215172 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-vendo | yepeng0322@thundersoft.com
m/apps/SlimbusEvent r-dev

2025-07-03 6/8




BSP:System: Reset the adsp service while dasp crashesReset the adsp service while dasp crashesTC-RID: 1201-0101106lssuelD: TS-R-DF-118506Change-Id:
104ab49431accfb87095928213a79%ed2d4acla7d3

#24 - 2023-07-19 16:17 - loT scm

Gerrit Merge Informationd

1D

Project

Branch

Uploader

215775

general/vendor/thundercomm/produc

ts/sepolicy_vndr

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

yepeng0322@thundersoft.com

BSP:System: Reset the adsp service while dasp crashesAdd permissions for slimbus_eventTC-RID: 1201-0101106IssuelD: TS-R-DF-118506Change-Id:
151e9ca6905bf8e62ad4790891bf2bc2235a8854¢

#25 - 2023-07-19 16:17 - 10T scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

215777

general/vendor/thundercomm/produc

ts/figure

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

yepeng0322@thundersoft.com

BSP:System: Reset the adsp service while dasp crashesReset the adsp service while dasp crashesTC-RID: 1201-0101106IssuelD: TS-R-DF-118506Change-Id:
1f2047665b061420fc5dc0b4d7e0649a80a8e65b6

#26 - 2023-07-20 23:33 - 10T scm
Gerrit Merge Information(]

1D

Project

Branch

Uploader

216260

general/kernel/msm-4.19

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

BSP:System: Reset the adsp service while dasp crashesReset the adsp service while dasp crashesTC-RID: 1201-01011061ssuelD: TS-R-DF-118506Change-Id:
1a3eb521f101ed40114ff09b8bfe02cfb93b0884c(cherry picked from commit ffdcc33d17¢331ff9b9ba236abf4911651¢62992)

#27 - 2023-07-20 23:33 - loT scm

Gerrit Merge Information(

1D

Project

Branch

Uploader

216258

general/vendor/thundercomm/produc
ts/sepolicy_vndr

Pre_figure_turbox-c2130c-lal.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

2025-07-03
BSP:System: Reset the adsp service while dasp crashesAdd permissions for slimbus_eventTC-RID: 1201-0101106lssuel D: TS-R-DF-118506Change-I1d:
151e9ca6905bf8e62ad4790891bf2bc2235a8854c(cherry picked from commit 8acc9702ac125b2af6273eb63be378af80d71a74)

#28 - 2023-07-20 23:33 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
216257 general/vendor/thundercomm/produc | Pre_figure_turbox-c2130c-lal.1-vendo | wangxl0510@thundersoft.com
ts/figure r-release_sorp

BSP:System: Reset the adsp service while dasp crashesReset the adsp service while dasp crashesTC-RID: 1201-0101106IssuelD: TS-R-DF-118506Change-Id:
1£2047665b061420fc5dc0b4d7e0649a80a8e65b6(cherry picked from commit ee4d3a875f113df3ad5b0623de3d507755d0384c¢)

#29 - 2023-08-24 17:21 - CDTS_TEST O O
- Status changed from RESOLVED to ASSIGNED
- Assignee changed fromCDBSP O 0 toCDTPM-O OO

oooooo

Files

add_ADSP_size.patch 2.85KB 2023-06-14 BSPO -RD3_TSCD O O
add_ADSP_size-new.patch 3.36 KB 2023-06-16 BSPO -RD3_TSCD O O
0000 .txt 10.8 KB 2023-06-16 BSPO -RD3_TSCD O O
